const Request = require("./Request")

class Category extends Request {

    constructor() {
        super()
    }

    getCategories() {
        return this.request({ method: 'GET', path: '/v2/providers/seller_api/apis/api/v1/marketplace/meta/display-categories' })
    }

    getCategory(categoryCode) {
        return this.request({ method: 'GET', path: '/v2/providers/seller_api/apis/api/v1/marketplace/meta/category-related-metas/display-category-codes/' + categoryCode })
    }
}



module.exports = Category